APT-CDROM(8)

NOM
apt-cdrom - Utilitaire de gestion des CD d'APT

SYNOPSIS

apt-cdrom [-rmfan] [-d=point_de_montage_CD-ROM] [-o=chaîne_de_configuration] [-c=fichier_de_configuration] {add | ident | {-v | --version} | {-h | --help}}

DESCRIPTION

apt-cdrom est utilisé pour ajouter un nouveau CD à la liste des sources disponibles. apt-cdrom prend soin de déterminer la structure du disque, de corriger de possibles erreurs de gravure et de vérifier les fichiers d'index.

Il est nécessaire d'utiliser apt-cdrom pour ajouter des CD au système APT, car cela ne peut être réalisé manuellement. Par ailleurs, chaque disque d'un ensemble de CD doit être séparément inséré et parcouru pour prendre en compte de possibles erreurs de gravure.

À moins que l'option -h ou --help ne soit donnée, l'une des commandes suivantes doit être présente.

add
    La commande add est utilisée pour ajouter un nouveau disque à la liste des sources. Elle démonte le CD, réclame l'insertion d'un disque, parcourt ensuite le disque et copie les fichiers d'index. Si le disque ne possède pas de répertoire .disk correct, un titre descriptif est demandé.

    APT utilise un identifiant de CD pour reconnaître le disque qui se trouve actuellement dans le lecteur et entretient une base de données de ces identifiants dans /var/lib/apt/cdroms.list.

ident
    Cette commande de débogage retourne l'identifiant du disque actuel ainsi que le nom du fichier stocké.

OPTIONS

Toutes les options de la ligne de commande peuvent être définies dans le fichier de configuration, les descriptions indiquant l'option de configuration concernée. Pour les options booléennes, vous pouvez outrepasser les réglages du fichier de configuration avec -f-,--no-f, -f=no ou d'autres variations.

--no-auto-detect, --cdrom
    Ne pas essayer de détecter automatiquement le chemin du CD-ROM. Habituellement combiné avec l'option --cdrom. Élément de configuration : Acquire::cdrom::AutoDetect.

-d, --cdrom
    Point de montage ; spécifie l'emplacement de montage du CD. Ce point de montage doit être spécifié dans /etc/fstab et correctement configuré. Élément de configuration : Acquire::cdrom::mount.

-r, --rename
    Renommer un disque ; modifie l'étiquette d'un disque ou remplace l'étiquette donnée à un disque. Cette option oblige apt-cdrom à demander une nouvelle étiquette à l'utilisateur. Élément de configuration : APT::CDROM::Rename.

-m, --no-mount
    Pas de montage ; empêche apt-cdrom de monter ou démonter le point de montage. Élément de configuration : APT::CDROM::NoMount.

-f, --fast
    Copie rapide ; suppose que les fichiers de paquets sont valables et ne vérifie pas chaque paquet. Cette option ne devrait être utilisée que si apt-cdrom a préalablement utilisé ce disque et n'a trouvé aucune erreur. Élément de configuration : APT::CDROM::Fast.

-a, --thorough
    Parcours minutieux des paquets ; cette option peut être nécessaire avec des CD d'anciens systèmes Debian 1.1 ou 1.2 dont les fichiers Packages sont situés dans des endroits inhabituels. Il faudra plus de temps pour parcourir le CD mais tous les paquets seront repérés.

-n, --just-print, --recon, --no-act
    Aucune modification ; ne pas modifier le fichier sources.list(5) ni les fichiers d'index. Cependant, tout est vérifié. Élément de configuration : APT::CDROM::NoAct.

-h, --help
    Afficher un bref résumé de l'utilisation.

-v, --version
    Afficher la version du programme.

--audit
    Afficher les messages d'audit (et de notification). Cela annule l'option mode silencieux, mais seulement pour les messages de notification, pas pour ceux de progression.

-c, --config-file
    Fichier de configuration ; indique le fichier de configuration à utiliser. Le programme lira le fichier de configuration par défaut puis le fichier indiqué ici. Si les réglages de configuration doivent être établis avant l'analyse des fichiers de configuration par défaut, un fichier peut être indiqué avec la variable d'environnementAPT_CONFIG. Veuillez consulter apt.conf(5) pour des informations sur la syntaxe d'utilisation.

-o, --option
    Définir une option de configuration ; permet de régler une option de configuration donnée. La syntaxe est -o Foo::Bar=bar. -o et --option peuvent être utilisées plusieurs fois pour définir des options différentes.

--cli-version
    Requests a specific CLI version. This is a pattern that takes a MAJOR.MINOR version. You may omit the MINOR version, in which case the latest supported minor level will be used.

    Version tracks are presented as follows: The version 3.2 has equivalent versions 0.32, 1.22, and 2.12, implementing new features for their specified major versions.

    A special case is the X.9 version pattern: A version like 2.9 is followed by 3.0, but 2.10 follows directly on 2.8; given that we use odd version numbers as development series (2.9 is the 3.0 development series).

    This feature has been introduced in APT 3.1.10, and replaces the binary-specific configuration. You may use the APT::Version to similar effect on older binaries, for example, use -o APT::Version=2 to make apt(8) behave like the 2.x series.

    The default value is the current APT version for apt(8) and 0.(10 * major + minor) for the classic commands. The 0.X series is soft-deprecated and the other commands will roll over to the 2.x series in the future.

--no-color, --color
    Active ou désactive les couleurs. Elles sont activées par défaut sur les terminaux pris en charge pour apt(8) et peuvent aussi être désactivées avec les variables d'environnement NO_COLOR ou APT_NO_COLOR, ou configurées plus tard par l'option et le champ d'action de configuration APT::Color. Consulter apt.conf(5) pour plus d’informations.

VOIR AUSSI

apt.conf(5), apt-get(8), sources.list(5).

DIAGNOSTICS

apt-cdrom renvoie zéro après un déroulement normal, et le nombre décimal 100 en cas d'erreur.

BOGUES

Page des bogues d'APT[1]. Si vous souhaitez signaler un bogue à propos d'APT, veuillez lire /usr/share/doc/debian/bug-reporting.txt ou utiliser la commande reportbug(1).

TRADUCTEURS

Jérôme Marant, Philippe Batailler, Christian Perrier <bubulle@debian.org> (2000, 2005, 2009, 2010), bubu et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr> (2004, 2017-2024) et l'équipe de traduction francophone de Debian <debian-l10n-french@lists.debian.org>

Veuillez noter que cette traduction peut contenir des parties non traduites. Cela est volontaire, pour éviter de perdre du contenu quand la traduction est légèrement en retard sur le contenu d'origine.

AUTEURS

Jason Gunthorpe

Équipe de développement d'APT

NOTES

1.  Page des bogues d'APT
    https://bugs.debian.org/src:apt